
Foreman - Tracker #13597

Extend API to show more smart proxy information

02/08/2016 07:09 AM - Shlomi Zadok

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1173696 Red Hat JIRA:  

Description

Tracker for API changes necessary to get parity with UI changes made around proxy observability.

Related issues:

Related to Foreman - Feature #13867: As an API user I'd like to get list of s... Rejected 02/24/2016

Related to Foreman - Feature #13868: As an API user I'd like to see puppet re... New 02/24/2016

Related to Foreman - Feature #13869: As an API user I'd like to get puppet-ca... New 02/24/2016

History

#1 - 02/08/2016 07:32 AM - Shlomi Zadok

- Subject changed from Expose API to show smart proxy information to Extend API to show more smart proxy information

#2 - 02/08/2016 07:33 AM - Shlomi Zadok

- Description updated

#3 - 02/08/2016 07:41 AM - Dominic Cleal

There's a version API already (added in #12506, specifically not to the show output), and features are already shown in the GET/show API.

#4 - 02/24/2016 04:32 AM - Tomáš Strachota

- Related to Feature #13867: As an API user I'd like to get list of services on a proxy added

#5 - 02/24/2016 04:35 AM - Tomáš Strachota

- Related to Feature #13868: As an API user I'd like to see puppet related info for a proxy added

#6 - 02/24/2016 04:46 AM - Tomáš Strachota

- Related to Feature #13869: As an API user I'd like to get puppet-ca related info for a proxy added

#7 - 02/24/2016 04:53 AM - Tomáš Strachota

- Tracker changed from Feature to Tracker

- Description updated

Since there's more features to be implemented I'm switching this issue to a tracker.

#8 - 02/24/2016 08:17 AM - Bryan Kearney

- Bugzilla link set to 1173696

#9 - 08/17/2016 07:33 AM - Shlomi Zadok

- Assignee deleted (Shlomi Zadok)

#10 - 11/23/2016 03:24 AM - Shlomi Zadok

- Target version set to 115
